#!/usr/bin/env python3
"""pybanner v1.0.0"""
"""
             _
 _ __  _   _| |__   __ _ _ __  _ __   ___ _ __
| '_ \| | | | '_ \ / _` | '_ \| '_ \ / _ \ '__|
| |_) | |_| | |_) | (_| | | | | | | |  __/ |
| .__/ \__, |_.__/ \__,_|_| |_|_| |_|\___|_|
|_|.::.|___/.::::::::::::::::::::::::::::::::::
...::::.....:::::::::::::::::::::::::::::::::::

Author.: Ricardo Abuchaim - ricardoabuchaim@gmail.com
License: MIT
Github.: https://github.com/rabuchaim/pybanner
Issues.: https://github.com/rabuchaim/pybanner/issues
PyPI...: https://pypi.org/project/pybanner/  ( pip install pybanner )

"""
__all__ = ['banner5x6','banner6x6']

class banner5x6:
    ##──── The figlet font clr5x6.flf converted to a dict ────────────────────────────────────────────────────────────────────────────
    letters_clr5x6 = { 
        " ":['     ','     ','     ','     ','     ','     '], "!":['  #  ','  #  ','  #  ','     ','  #  ','     '], '"':[' # # ',' # # ','     ','     ','     ','     '],
        "#":[' # # ','#####',' # # ','#####',' # # ','     '], "$":[' ### ','# #  ',' ### ','  # #',' ### ','     '], "%":['##  #','## # ','  #  ',' # ##','#  ##','     '],
        "&":['  ## ',' #   ','  # #',' # # ','  # #','     '], "´":['  #  ',' #   ','     ','     ','     ','     '], "(":['    #','   # ','  ## ','   # ','    #','     '],
        ")":[' #   ','  #  ','  #  ','  #  ',' #   ','     '], "*":[' #  #','  ## ',' ####','  ## ',' #  #','     '], "+":['  #  ','  #  ','#####','  #  ','  #  ','     '],
        ",":['     ','     ','     ','  #  ','  #  ',' #   '], "-":['     ','     ',' ####','     ','     ','     '], ".":['     ','     ','     ','  #  ','  #  ','     '],
        "/":['    #','   # ','  #  ',' #   ','#    ','     '], "0":['  ## ',' # ##',' ## #',' #  #','  ## ','     '], "1":['  #  ',' ##  ','  #  ','  #  ','  #  ','     '],
        "2":[' ### ','    #','  ## ',' #   ',' ####','     '], "3":[' ### ','    #','  ## ','    #',' ### ','     '], "4":['    #','   ##','  # #',' ####','    #','     '],
        "5":[' ####',' #   ',' ### ','    #',' ### ','     '], "6":['  ## ',' #   ',' ### ',' #  #','  ## ','     '], "7":[' ####','    #','   # ','  #  ',' #   ','     '],
        "8":['  ## ',' #  #','  ## ',' #  #','  ## ','     '], "9":['  ## ',' #  #','  ###','    #','  ## ','     '], ":":['  #  ','  #  ','     ','  #  ','  #  ','     '],
        ";":['  #  ','  #  ','     ','  #  ','  #  ',' #   '], "<":['   # ','  #  ',' #   ','  #  ','   # ','     '], "=":['     ',' ####','     ',' ####','     ','     '],
        ">":['  #  ','   # ','    #','   # ','  #  ','     '], "?":[' ### ','    #','  ## ','     ','  #  ','     '], "@":['  ## ',' # ##',' # ##',' #   ','  ## ','     '],
        "A":['  ## ',' #  #',' #  #',' ####',' #  #','     '], "B":[' ### ',' #  #',' ### ',' #  #',' ### ','     '], "C":['  ###',' #   ',' #   ',' #   ','  ###','     '],
        "D":[' ### ',' #  #',' #  #',' #  #',' ### ','     '], "E":[' ####',' #   ',' ### ',' #   ',' ####','     '], "F":[' ####',' #   ',' ### ',' #   ',' #   ','     '],
        "G":['  ###',' #   ',' # ##',' #  #','  ###','     '], "H":[' #  #',' #  #',' ####',' #  #',' #  #','     '], "I":[' ### ','  #  ','  #  ','  #  ',' ### ','     '],
        "J":['   ##','    #','    #',' #  #','  ## ','     '], "K":[' #  #',' # # ',' ##  ',' # # ',' #  #','     '], "L":[' #   ',' #   ',' #   ',' #   ',' ####','     '],
        "M":[' #  #',' ####',' ####',' #  #',' #  #','     '], "N":[' #  #',' ## #',' # ##',' #  #',' #  #','     '], "O":['  ## ',' #  #',' #  #',' #  #','  ## ','     '],
        "P":[' ### ',' #  #',' ### ',' #   ',' #   ','     '], "Q":['  ## ',' #  #',' #  #',' #  #','  ## ','   ##'], "R":[' ### ',' #  #',' ### ',' # # ',' #  #','     '],
        "S":['  ###',' #   ','  ## ','    #',' ### ','     '], "T":['#####','  #  ','  #  ','  #  ','  #  ','     '], "U":[' #  #',' #  #',' #  #',' #  #','  ## ','     '],
        "V":[' #  #',' #  #',' #  #','  ## ','  ## ','     '], "W":[' #  #',' #  #',' ####',' ####',' #  #','     '], "X":[' #  #',' #  #','  ## ',' #  #',' #  #','     '],
        "Y":['#   #',' # # ','  #  ','  #  ','  #  ','     '], "Z":[' ####','   # ','  #  ',' #   ',' ####','     '], "[":['   ##','   # ','   # ','   # ','   ##','     '],
       "\\":['#    ',' #   ','  #  ','   # ','    #','     '], "]":[' ##  ','  #  ','  #  ','  #  ',' ##  ','     '], "^":['  #  ',' # # ','     ','     ','     ','     '],
        "_":['     ','     ','     ','     ','     ',' ####'], "`":['   # ','    #','     ','     ','     ','     '], "a":['     ','  ###',' #  #',' # ##','  # #','     '],
        "b":[' #   ',' ### ',' #  #',' #  #',' ### ','     '], "c":['     ','  ###',' #   ',' #   ','  ###','     '], "d":['    #','  ###',' #  #',' #  #','  ###','     '],
        "e":['     ','  ## ',' ####',' #   ','  ## ','     '], "f":['   ##','  #  ',' ### ','  #  ','  #  ','     '], "g":['     ','  ###',' #  #','  ###','    #','  ## '],
        "h":[' #   ',' ### ',' #  #',' #  #',' #  #','     '], "i":['  #  ','     ','  #  ','  #  ','  #  ','     '], "j":['    #','     ','    #','    #',' #  #','  ## '],
        "k":[' #   ',' # ##',' ##  ',' # # ',' #  #','     '], "l":[' ##  ','  #  ','  #  ','  #  ',' ### ','     '], "m":['     ',' #  #',' ####',' #  #',' #  #','     '],
        "n":['     ',' # # ',' ## #',' #  #',' #  #','     '], "o":['     ','  ## ',' #  #',' #  #','  ## ','     '], "p":['     ',' ### ',' #  #',' #  #',' ### ',' #   '],
        "q":['     ','  ###',' #  #',' #  #','  ###','    #'], "r":['     ',' # ##',' ##  ',' #   ',' #   ','     '], "s":['     ','  ###',' ##  ','   ##',' ### ','     '],
        "t":['  #  ',' ####','  #  ','  #  ','   ##','     '], "u":['     ',' #  #',' #  #',' # ##','  # #','     '], "v":['     ',' #  #',' #  #','  ## ','  ## ','     '],
        "w":['     ',' #  #',' #  #',' ####',' #  #','     '], "x":['     ',' #  #','  ## ','  ## ',' #  #','     '], "y":['     ',' #  #',' #  #','  ###','    #','  ## '],
        "z":['     ',' ####','   # ','  #  ',' ####','     '], "|":['  #  ','  #  ','  #  ','  #  ','  #  ','     '], "}":[' #   ','  #  ','  ## ','  #  ',' #   ','     '],
        "~":[' #   ','# # #','   # ','     ','     ','     ']
    }
    def get_banner(word,spacing:int=1):
        """Returns the banner as text without print it"""
        text = ""
        for row in range(6):
            for c in word:
                text += banner5x6.letters_clr5x6.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip()
    def print(word,spacing:int=1):
        """Prints the given text using the clr5x6 font"""
        print(banner5x6.get_banner(word,spacing))
    
class banner6x6():
    ##──── The figlet font clr6x6.flf converted to a dict ────────────────────────────────────────────────────────────────────────────
    letters_clr6x6 = {
        " ":['      ','      ','      ','      ','      ','      '],"!":['   #  ','   #  ','   #  ','      ','   #  ','      '],'"':['  # # ','  # # ','      ','      ','      ','      '],
        "#":['  # # ',' #####','  # # ',' #####','  # # ','      '],"$":['  ### ',' # #  ','  ### ','   # #','  ### ','      '],"%":[' ##  #',' ## # ','   #  ','  # ##',' #  ##','      '],
        "&":['  ##  ',' #    ','  ## #',' #  # ','  ## #','      '],"´":['   #  ','  #   ','      ','      ','      ','      '],"(":['    # ','   #  ','  ##  ','   #  ','    # ','      '],
        ")":['  #   ','   #  ','   #  ','   #  ','  #   ','      '],"*":['   #  ',' # # #','  ### ',' # # #','   #  ','      '],"+":['   #  ','   #  ',' #####','   #  ','   #  ','      '],
        ",":['      ','      ','      ','   #  ','   #  ','  #   '],"-":['      ','      ',' #####','      ','      ','      '],".":['      ','      ','      ','   #  ','   #  ','      '],
        "/":['     #','    # ','   #  ','  #   ',' #    ','      '],"0":['  ### ',' #  ##',' # # #',' ##  #','  ### ','      '],"1":['   #  ','  ##  ','   #  ','   #  ','   #  ','      '],
        "2":[' #### ','     #','  ### ',' #    ',' #####','      '],"3":[' #### ','     #','  ### ','     #',' #### ','      '],"4":['    ##','   # #','  #  #',' #####','     #','      '],
        "5":[' #####',' #    ',' #### ','     #',' #### ','      '],"6":['  ### ',' #    ',' #### ',' #   #','  ### ','      '],"7":[' #####','     #','    # ','   #  ','  #   ','      '],
        "8":['  ### ',' #   #','  ### ',' #   #','  ### ','      '],"9":['  ### ',' #   #','  ####','     #','  ### ','      '],":":['   #  ','   #  ','      ','   #  ','   #  ','      '],
        ";":['   #  ','   #  ','      ','   #  ','   #  ','  #   '],"<":['    ##','  ##  ','##    ','  ##  ','    ##','      '],"=":['      ',' #####','      ',' #####','      ','      '],
        ">":['##    ','  ##  ','    ##','  ##  ','##    ','      '],"?":[' ###  ','    # ','  ##  ','      ','  #   ','      '],"@":['  ##  ',' # ## ',' # ## ',' #    ','  ##  ','      '],
        "A":['   #  ','  # # ',' #   #',' #####',' #   #','      '],"B":[' #### ',' #   #',' #### ',' #   #',' #### ','      '],"C":['  ### ',' #   #',' #    ',' #   #','  ### ','      '],
        "D":[' #### ',' #   #',' #   #',' #   #',' #### ','      '],"E":[' #####',' #    ',' #### ',' #    ',' #####','      '],"F":[' #####',' #    ',' #### ',' #    ',' #    ','      '],
        "G":['  ####',' #    ',' #  ##',' #   #','  ####','      '],"H":[' #   #',' #   #',' #####',' #   #',' #   #','      '],"I":['  ### ','   #  ','   #  ','   #  ','  ### ','      '],
        "J":['   ###','     #','     #',' #   #','  ### ','      '],"K":[' #  # ',' # #  ',' ##   ',' # #  ',' #  # ','      '],"L":[' #    ',' #    ',' #    ',' #    ',' #####','      '],
        "M":[' #   #',' ## ##',' # # #',' # # #',' #   #','      '],"N":[' #   #',' ##  #',' # # #',' #  ##',' #   #','      '],"O":['  ### ',' #   #',' #   #',' #   #','  ### ','      '],
        "P":[' #### ',' #   #',' #### ',' #    ',' #    ','      '],"Q":['  ### ',' #   #',' #   #',' #   #','  ### ','    ##'],"R":[' #### ',' #   #',' #### ',' # #  ',' #  ##','      '],
        "S":['  ####',' #    ','  ### ','     #',' #### ','      '],"T":[' #####','   #  ','   #  ','   #  ','   #  ','      '],"U":[' #   #',' #   #',' #   #',' #   #','  ### ','      '],
        "V":[' #   #',' #   #','  # # ','  # # ','   #  ','      '],"W":[' #   #',' # # #',' # # #',' ## ##',' #   #','      '],"X":[' #   #','  # # ','   #  ','  # # ',' #   #','      '],
        "Y":[' #   #','  # # ','   #  ','   #  ','   #  ','      '],"Z":[' #####','    # ','   #  ','  #   ',' #####','      '],"[":['   ###','   #  ','   #  ','   #  ','   ###','      '],
       "\\":[' #    ','  #   ','   #  ','    # ','     #','      '],"]":[' ###  ','   #  ','   #  ','   #  ',' ###  ','      '],"^":['   #  ','  # # ',' #   #','      ','      ','      '],
        "_":['      ','      ','      ','      ','      ',' #####'],"`":['   #  ','    # ','      ','      ','      ','      '],"a":['      ','  ####',' #   #',' #  ##','  ## #','      '],
        "b":[' #    ',' #### ',' #   #',' #   #',' #### ','      '],"c":['      ','  ### ',' #    ',' #    ','  ### ','      '],"d":['     #','  ####',' #   #',' #   #','  ####','      '],
        "e":['      ','  ### ',' #####',' #    ','  ### ','      '],"f":['   ###','  #   ',' #### ','  #   ','  #   ','      '],"g":['      ','  ####',' #   #','  ####','     #','  ### '],
        "h":[' #    ',' #### ',' #   #',' #   #',' #   #','      '],"i":['   #  ','      ','   #  ','   #  ','   #  ','      '],"j":['    # ','      ','    # ','    # ',' #  # ','  ##  '],
        "k":[' #    ',' # ## ',' ##   ',' # #  ',' #  # ','      '],"l":['  ##  ','   #  ','   #  ','   #  ','  ### ','      '],"m":['      ',' ## # ',' # # #',' # # #',' #   #','      '],
        "n":['      ',' # ## ',' ##  #',' #   #',' #   #','      '],"o":['      ','  ### ',' #   #',' #   #','  ### ','      '],"p":['      ',' #### ',' #   #',' #   #',' #### ',' #    '],
        "q":['      ','  ####',' #   #',' #   #','  ####','     #'],"r":['      ',' # ## ',' ##   ',' #    ',' #    ','      '],"s":['      ','  ####',' ###  ','   ###',' #### ','      '],
        "t":['  #   ',' #### ','  #   ','  #   ','   ## ','      '],"u":['      ',' #   #',' #   #',' #  ##','  ## #','      '],"v":['      ',' #   #','  # # ','  # # ','   #  ','      '],
        "w":['      ',' #   #',' # # #',' # # #','  # # ','      '],"x":['      ',' #  # ','  ##  ','  ##  ',' #  # ','      '],"y":['      ',' #   #',' #   #','  ####','     #','  ### '],
        "z":['      ',' #### ','   #  ','  #   ',' #### ','      '],"|":['   #  ','   #  ','   #  ','   #  ','   #  ','      '],"}":['  #   ','   #  ','   ## ','   #  ','  #   ','      '],
        "~":['  #   ',' # # #','    # ','      ','      ','      ']
    }
    def get_banner(word,spacing:int=1):
        """Returns the banner as text without print it"""
        text = ""
        for row in range(6):
            for c in word:
                text += banner6x6.letters_clr6x6.get(c,' ')[row] + (" " * spacing)
            text += "\n"
        return text.rstrip()
    def print(word,spacing:int=1):
        """Prints the given text using the clr6x6 font"""
        print(banner6x6.get_banner(word,spacing))

